/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: htmlkywd.hxx,v $
 * $Revision: 1.8 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#ifndef _HTMLKYWD_HXX
#define _HTMLKYWD_HXX

#include "sal/types.h"


#define sHTML_doctype32 "HTML PUBLIC \"-//W3C//DTD HTML 3.2//EN\""
#define sHTML_doctype40 "HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\""


// diese werden nur eingeschaltet
#define sHTML_area "AREA"
#define sHTML_base "BASE"
#define sHTML_comment "!--"
#define sHTML_doctype "!DOCTYPE"
#define sHTML_embed "EMBED"
#define sHTML_figureoverlay "OVERLAY"
#define sHTML_horzrule "HR"
#define sHTML_horztab "TAB"
#define sHTML_image "IMG"
#define sHTML_image2 "IMAGE"
#define sHTML_input "INPUT"
#define sHTML_isindex "ISINDEX"
#define sHTML_linebreak "BR"
#define sHTML_li "LI"
#define sHTML_link "LINK"
#define sHTML_meta "META"
#define sHTML_nextid "NEXTID"
#define sHTML_nobr "NOBR"
#define sHTML_object "OBJECT"
#define sHTML_of "OF"
#define sHTML_option "OPTION"
#define sHTML_param "PARAM"
#define sHTML_range "RANGE"
#define sHTML_spacer "SPACER"
#define sHTML_wbr "WBR"

// diese werden wieder abgeschaltet
#define sHTML_abbreviation "ABBREV"
#define sHTML_above "ABOVE"
#define sHTML_acronym "ACRONYM"
#define sHTML_address "ADDRESS"
#define sHTML_anchor "A"
#define sHTML_applet "APPLET"
#define sHTML_array "ARRAY"
#define sHTML_author "AU"
#define sHTML_banner "BANNER"
#define sHTML_bar "BAR"
#define sHTML_basefont "BASEFONT"
#define sHTML_below "BELOW"
#define sHTML_bigprint "BIG"
#define sHTML_blink "BLINK"
#define sHTML_blockquote "BLOCKQUOTE"
#define sHTML_blockquote30 "BQ"
#define sHTML_body "BODY"
#define sHTML_bold "B"
#define sHTML_boldtext "BT"
#define sHTML_box "BOX"
#define sHTML_caption "CAPTION"
#define sHTML_center "CENTER"
#define sHTML_citiation "CITE"
#define sHTML_code "CODE"
#define sHTML_col "COL"
#define sHTML_colgroup "COLGROUP"
#define sHTML_credit "CREDIT"
#define sHTML_dd "DD"
#define sHTML_deflist "DL"
#define sHTML_deletedtext "DEL"
#define sHTML_dirlist "DIR"
#define sHTML_division "DIV"
#define sHTML_dot "DOT"
#define sHTML_doubledot "DDOT"
#define sHTML_dt "DT"
#define sHTML_emphasis "EM"
#define sHTML_figure "FIG"
#define sHTML_font "FONT"
#define sHTML_footnote "FN"
#define sHTML_form "FORM"
#define sHTML_frame "FRAME"
#define sHTML_frameset "FRAMESET"
#define sHTML_hat "HAT"
#define sHTML_head1 "H1"
#define sHTML_head2 "H2"
#define sHTML_head3 "H3"
#define sHTML_head4 "H4"
#define sHTML_head5 "H5"
#define sHTML_head6 "H6"
#define sHTML_head "HEAD"
#define sHTML_html "HTML"
#define sHTML_iframe "IFRAME"
#define sHTML_ilayer "ILAYER"
#define sHTML_insertedtext "INS"
#define sHTML_italic "I"
#define sHTML_item "ITEM"
#define sHTML_keyboard "KBD"
#define sHTML_language "LANG"
#define sHTML_layer "LAYER"
#define sHTML_listheader "LH"
#define sHTML_map "MAP"
#define sHTML_math "MATH"
#define sHTML_menulist "MENU"
#define sHTML_multicol "MULTICOL"
#define sHTML_noembed "NOEMBED"
#define sHTML_noframe "NOFRAME"
#define sHTML_noframes "NOFRAMES"
#define sHTML_noscript "NOSCRIPT"
#define sHTML_note "NOTE"
#define sHTML_orderlist "OL"
#define sHTML_parabreak "P"
#define sHTML_person "PERSON"
#define sHTML_plaintext "T"
#define sHTML_preformtxt "PRE"
#define sHTML_root "ROOT"
#define sHTML_row "ROW"
#define sHTML_sample "SAMP"
#define sHTML_script "SCRIPT"
#define sHTML_select "SELECT"
#define sHTML_shortquote "Q"
#define sHTML_smallprint "SMALL"
#define sHTML_span "SPAN"
#define sHTML_squareroot "AQRT"
#define sHTML_strikethrough "S"
#define sHTML_strong "STRONG"
#define sHTML_style "STYLE"
#define sHTML_subscript "SUB"
#define sHTML_superscript "SUP"
#define sHTML_table "TABLE"
#define sHTML_tablerow "TR"
#define sHTML_tabledata "TD"
#define sHTML_tableheader "TH"
#define sHTML_tbody "TBODY"
#define sHTML_teletype "TT"
#define sHTML_text "TEXT"
#define sHTML_textarea "TEXTAREA"
#define sHTML_textflow "TEXTFLOW"
#define sHTML_tfoot "TFOOT"
#define sHTML_thead "THEAD"
#define sHTML_tilde "TILDE"
#define sHTML_title "TITLE"
#define sHTML_underline "U"
#define sHTML_unorderlist "UL"
#define sHTML_variable "VAR"
#define sHTML_vector "VEC"

// obsolete features
#define sHTML_xmp "XMP"
#define sHTML_listing "LISTING"

// proposed features
#define sHTML_definstance "DFN"
#define sHTML_strike "STRIKE"

#define sHTML_bgsound "BGSOUND"
#define sHTML_comment2 "COMMENT"
#define sHTML_marquee "MARQUEE"
#define sHTML_plaintext2 "PLAINTEXT"

#define sHTML_sdfield "SDFIELD"

// die Namen fuer alle Zeichen
#define sHTML_C_lt "lt"
#define sHTML_C_gt "gt"
#define sHTML_C_amp "amp"
#define sHTML_C_quot "quot"

#define sHTML_C_Aacute "Aacute"
#define sHTML_C_Agrave "Agrave"
#define sHTML_C_Acirc "Acirc"
#define sHTML_C_Atilde "Atilde"
#define sHTML_C_Aring "Aring"
#define sHTML_C_Auml "Auml"
#define sHTML_C_AElig "AElig"
#define sHTML_C_Ccedil "Ccedil"
#define sHTML_C_Eacute "Eacute"
#define sHTML_C_Egrave "Egrave"
#define sHTML_C_Ecirc "Ecirc"
#define sHTML_C_Euml "Euml"
#define sHTML_C_Iacute "Iacute"
#define sHTML_C_Igrave "Igrave"
#define sHTML_C_Icirc "Icirc"
#define sHTML_C_Iuml "Iuml"
#define sHTML_C_ETH "ETH"
#define sHTML_C_Ntilde "Ntilde"
#define sHTML_C_Oacute "Oacute"
#define sHTML_C_Ograve "Ograve"
#define sHTML_C_Ocirc "Ocirc"
#define sHTML_C_Otilde "Otilde"
#define sHTML_C_Ouml "Ouml"
#define sHTML_C_Oslash "Oslash"
#define sHTML_C_Uacute "Uacute"
#define sHTML_C_Ugrave "Ugrave"
#define sHTML_C_Ucirc "Ucirc"
#define sHTML_C_Uuml "Uuml"
#define sHTML_C_Yacute "Yacute"

#define sHTML_C_THORN "THORN"
#define sHTML_C_szlig "szlig"

#define sHTML_S_aacute "aacute"
#define sHTML_S_agrave "agrave"
#define sHTML_S_acirc "acirc"
#define sHTML_S_atilde "atilde"
#define sHTML_S_aring "aring"
#define sHTML_S_auml "auml"
#define sHTML_S_aelig "aelig"
#define sHTML_S_ccedil "ccedil"
#define sHTML_S_eacute "eacute"
#define sHTML_S_egrave "egrave"
#define sHTML_S_ecirc "ecirc"
#define sHTML_S_euml "euml"
#define sHTML_S_iacute "iacute"
#define sHTML_S_igrave "igrave"
#define sHTML_S_icirc "icirc"
#define sHTML_S_iuml "iuml"
#define sHTML_S_eth "eth"
#define sHTML_S_ntilde "ntilde"
#define sHTML_S_oacute "oacute"
#define sHTML_S_ograve "ograve"
#define sHTML_S_ocirc "ocirc"
#define sHTML_S_otilde "otilde"
#define sHTML_S_ouml "ouml"
#define sHTML_S_oslash "oslash"
#define sHTML_S_uacute "uacute"
#define sHTML_S_ugrave "ugrave"
#define sHTML_S_ucirc "ucirc"
#define sHTML_S_uuml "uuml"
#define sHTML_S_yacute "yacute"

#define sHTML_S_thorn "thorn"
#define sHTML_S_yuml "yuml"

#define sHTML_S_acute "acute"
#define sHTML_S_brvbar "brvbar"
#define sHTML_S_cedil "cedil"
#define sHTML_S_cent "cent"
#define sHTML_S_copy "copy"
#define sHTML_S_curren "curren"
#define sHTML_S_deg "deg"
#define sHTML_S_divide "divide"
#define sHTML_S_frac12 "frac12"
#define sHTML_S_frac14 "frac14"
#define sHTML_S_frac34 "frac34"
#define sHTML_S_iexcl "iexcl"
#define sHTML_S_iquest "iquest"
#define sHTML_S_laquo "laquo"
#define sHTML_S_macr "macr"
#define sHTML_S_micro "micro"
#define sHTML_S_middot "middot"
#define sHTML_S_nbsp "nbsp"
#define sHTML_S_not "not"
#define sHTML_S_ordf "ordf"
#define sHTML_S_ordm "ordm"
#define sHTML_S_para "para"
#define sHTML_S_plusmn "plusmn"
#define sHTML_S_pound "pound"
#define sHTML_S_raquo "raquo"
#define sHTML_S_reg "reg"
#define sHTML_S_sect "sect"
#define sHTML_S_shy "shy"
#define sHTML_S_sup1 "sup1"
#define sHTML_S_sup2 "sup2"
#define sHTML_S_sup3 "sup3"
#define sHTML_S_times "times"
#define sHTML_S_uml "uml"
#define sHTML_S_yen "yen"

// Netscape kennt noch ein paar in Grossbuchstaben ...
#define sHTML_C_LT "LT"
#define sHTML_C_GT "GT"
#define sHTML_C_AMP "AMP"
#define sHTML_C_QUOT "QUOT"

#define sHTML_S_COPY "COPY"
#define sHTML_S_REG "REG"

//HTML4
#define sHTML_S_alefsym "alefsym"
#define sHTML_S_Alpha "Alpha"
#define sHTML_S_alpha "alpha"
#define sHTML_S_and "and"
#define sHTML_S_ang "ang"
#define sHTML_S_asymp "asymp"
#define sHTML_S_bdquo "bdquo"
#define sHTML_S_Beta "Beta"
#define sHTML_S_beta "beta"
#define sHTML_S_bull "bull"
#define sHTML_S_cap "cap"
#define sHTML_S_chi "chi"
#define sHTML_S_Chi "Chi"
#define sHTML_S_circ "circ"
#define sHTML_S_clubs "clubs"
#define sHTML_S_cong "cong"
#define sHTML_S_crarr "crarr"
#define sHTML_S_cup "cup"
#define sHTML_S_dagger "dagger"
#define sHTML_S_Dagger "Dagger"
#define sHTML_S_darr "darr"
#define sHTML_S_dArr "dArr"
#define sHTML_S_Delta "Delta"
#define sHTML_S_delta "delta"
#define sHTML_S_diams "diams"
#define sHTML_S_empty "empty"
#define sHTML_S_emsp "emsp"
#define sHTML_S_ensp "ensp"
#define sHTML_S_Epsilon "Epsilon"
#define sHTML_S_epsilon "epsilon"
#define sHTML_S_equiv "equiv"
#define sHTML_S_Eta "Eta"
#define sHTML_S_eta "eta"
#define sHTML_S_euro "euro"
#define sHTML_S_exist "exist"
#define sHTML_S_fnof "fnof"
#define sHTML_S_forall "forall"
#define sHTML_S_frasl "frasl"
#define sHTML_S_Gamma "Gamma"
#define sHTML_S_gamma "gamma"
#define sHTML_S_ge "ge"
#define sHTML_S_harr "harr"
#define sHTML_S_hArr "hArr"
#define sHTML_S_hearts "hearts"
#define sHTML_S_hellip "hellip"
#define sHTML_S_image "image"
#define sHTML_S_infin "infin"
#define sHTML_S_int "int"
#define sHTML_S_Iota "Iota"
#define sHTML_S_iota "iota"
#define sHTML_S_isin "isin"
#define sHTML_S_Kappa "Kappa"
#define sHTML_S_kappa "kappa"
#define sHTML_S_Lambda "Lambda"
#define sHTML_S_lambda "lambda"
#define sHTML_S_lang "lang"
#define sHTML_S_larr "larr"
#define sHTML_S_lArr "lArr"
#define sHTML_S_lceil "lceil"
#define sHTML_S_ldquo "ldquo"
#define sHTML_S_le "le"
#define sHTML_S_lfloor "lfloor"
#define sHTML_S_lowast "lowast"
#define sHTML_S_loz "loz"
#define sHTML_S_lrm "lrm"
#define sHTML_S_lsaquo "lsaquo"
#define sHTML_S_lsquo "lsquo"
#define sHTML_S_mdash "mdash"
#define sHTML_S_minus "minus"
#define sHTML_S_Mu "Mu"
#define sHTML_S_mu "mu"
#define sHTML_S_nabla "nabla"
#define sHTML_S_ndash "ndash"
#define sHTML_S_ne "ne"
#define sHTML_S_ni "ni"
#define sHTML_S_notin "notin"
#define sHTML_S_nsub "nsub"
#define sHTML_S_Nu "Nu"
#define sHTML_S_nu "nu"
#define sHTML_S_OElig "OElig"
#define sHTML_S_oelig "oelig"
#define sHTML_S_oline "oline"
#define sHTML_S_Omega "Omega"
#define sHTML_S_omega "omega"
#define sHTML_S_Omicron "Omicron"
#define sHTML_S_omicron "omicron"
#define sHTML_S_oplus "oplus"
#define sHTML_S_or "or"
#define sHTML_S_otimes "otimes"
#define sHTML_S_part "part"
#define sHTML_S_permil "permil"
#define sHTML_S_perp "perp"
#define sHTML_S_Phi "Phi"
#define sHTML_S_phi "phi"
#define sHTML_S_Pi "Pi"
#define sHTML_S_pi "pi"
#define sHTML_S_piv "piv"
#define sHTML_S_prime "prime"
#define sHTML_S_Prime "Prime"
#define sHTML_S_prod "prod"
#define sHTML_S_prop "prop"
#define sHTML_S_Psi "Psi"
#define sHTML_S_psi "psi"
#define sHTML_S_radic "radic"
#define sHTML_S_rang "rang"
#define sHTML_S_rarr "rarr"
#define sHTML_S_rArr "rArr"
#define sHTML_S_rceil "rceil"
#define sHTML_S_rdquo "rdquo"
#define sHTML_S_real "real"
#define sHTML_S_rfloor "rfloor"
#define sHTML_S_Rho "Rho"
#define sHTML_S_rho "rho"
#define sHTML_S_rlm "rlm"
#define sHTML_S_rsaquo "rsaquo"
#define sHTML_S_rsquo "rsquo"
#define sHTML_S_sbquo "sbquo"
#define sHTML_S_Scaron "Scaron"
#define sHTML_S_scaron "scaron"
#define sHTML_S_sdot "sdot"
#define sHTML_S_Sigma "Sigma"
#define sHTML_S_sigma "sigma"
#define sHTML_S_sigmaf "sigmaf"
#define sHTML_S_sim "sim"
#define sHTML_S_spades "spades"
#define sHTML_S_sub "sub"
#define sHTML_S_sube "sube"
#define sHTML_S_sum "sum"
#define sHTML_S_sup "sup"
#define sHTML_S_supe "supe"
#define sHTML_S_Tau "Tau"
#define sHTML_S_tau "tau"
#define sHTML_S_there4 "there4"
#define sHTML_S_Theta "Theta"
#define sHTML_S_theta "theta"
#define sHTML_S_thetasym "thetasym"
#define sHTML_S_thinsp "thinsp"
#define sHTML_S_tilde "tilde"
#define sHTML_S_trade "trade"
#define sHTML_S_uarr "uarr"
#define sHTML_S_uArr "uArr"
#define sHTML_S_upsih "upsih"
#define sHTML_S_Upsilon "Upsilon"
#define sHTML_S_upsilon "upsilon"
#define sHTML_S_weierp "weierp"
#define sHTML_S_Xi "Xi"
#define sHTML_S_xi "xi"
#define sHTML_S_Yuml "Yuml"
#define sHTML_S_Zeta "Zeta"
#define sHTML_S_zeta "zeta"
#define sHTML_S_zwj "zwj"
#define sHTML_S_zwnj "zwnj"

// HTML Attribut-Token (=Optionen)

// Attribute ohne Wert
#define sHTML_O_box "BOX"
#define sHTML_O_checked "CHECKED"
#define sHTML_O_compact "COMPACT"
#define sHTML_O_continue "CONTINUE"
#define sHTML_O_controls "CONTROLS"
#define sHTML_O_declare "DECLARE"
#define sHTML_O_disabled "DISABLED"
#define sHTML_O_folded "FOLDED"
#define sHTML_O_ismap "ISMAP"
#define sHTML_O_mayscript "MAYSCRIPT"
#define sHTML_O_multiple "MULTIPLE"
#define sHTML_O_noflow "NOFLOW"
#define sHTML_O_nohref "NOHREF"
#define sHTML_O_noresize "NORESIZE"
#define sHTML_O_noshade "NOSHADE"
#define sHTML_O_nowrap "NOWRAP"
#define sHTML_O_plain "PLAIN"
#define sHTML_O_sdfixed "SDFIXED"
#define sHTML_O_selected "SELECTED"
#define sHTML_O_shapes "SHAPES"

// Attribute mit einem String als Wert
#define sHTML_O_above "ABOVE"
#define sHTML_O_accesskey "ACCESSKEY"
#define sHTML_O_accept "ACCEPT"
#define sHTML_O_add_date "ADD_DATE"
#define sHTML_O_alt "ALT"
#define sHTML_O_axes "AXES"
#define sHTML_O_axis "AXIS"
#define sHTML_O_below "BELOW"
#define sHTML_O_char "CHAR"
#define sHTML_O_class "CLASS"
#define sHTML_O_clip "CLIP"
#define sHTML_O_code "CODE"
#define sHTML_O_codetype "CODETYPE"
#define sHTML_O_colspec "COLSPEC"
#define sHTML_O_content "CONTENT"
#define sHTML_O_coords "COORDS"
#define sHTML_O_dp "DP"
#define sHTML_O_enctype "ENCTYPE"
#define sHTML_O_error "ERROR"
#define sHTML_O_face "FACE"
#define sHTML_O_frameborder "FRAMEBORDER"
#define sHTML_O_httpequiv "HTTP-EQUIV"
#define sHTML_O_language "LANGUAGE"
#define sHTML_O_last_modified "LAST_MODIFIED"
#define sHTML_O_last_visit "LAST_VISIT"
#define sHTML_O_md "MD"
#define sHTML_O_n "N"
#define sHTML_O_name "NAME"
#define sHTML_O_notation "NOTATION"
#define sHTML_O_prompt "PROMPT"
#define sHTML_O_shape "SHAPE"
#define sHTML_O_standby "STANDBY"
#define sHTML_O_style "STYLE"
#define sHTML_O_title "TITLE"
#define sHTML_O_value "VALUE"
#define sHTML_O_SDval "SDVAL"
#define sHTML_O_SDnum "SDNUM"
#define sHTML_O_sdlibrary "SDLIBRARY"
#define sHTML_O_sdmodule "SDMODULE"
#define sHTML_O_sdevent "SDEVENT-"
#define sHTML_O_sdaddparam "SDADDPARAM-"

// Attribute mit einem SGML-Identifier als Wert
#define sHTML_O_from "FROM"
#define sHTML_O_id "ID"
#define sHTML_O_target "TARGET"
#define sHTML_O_to "TO"
#define sHTML_O_until "UNTIL"

// Attribute mit einem URI als Wert
#define sHTML_O_action "ACTION"
#define sHTML_O_archive "ARCHIVE"
#define sHTML_O_background "BACKGROUND"
#define sHTML_O_classid "CLASSID"
#define sHTML_O_codebase "CODEBASE"
#define sHTML_O_data "DATA"
#define sHTML_O_dynsrc "DYNSRC"
#define sHTML_O_dynsync "DYNSYNC"
#define sHTML_O_imagemap "IMAGEMAP"
#define sHTML_O_href "HREF"
#define sHTML_O_lowsrc "LOWSRC"
#define sHTML_O_script "SCRIPT"
#define sHTML_O_src "SRC"
#define sHTML_O_usemap "USEMAP"

// Attribute mit Entity-Namen als Wert
#define sHTML_O_dingbat "DINGBAT"
#define sHTML_O_sym "SYM"

// Attribute mit einer Farbe als Wert (alle Netscape)
#define sHTML_O_alink "ALINK"
#define sHTML_O_bgcolor "BGCOLOR"
#define sHTML_O_bordercolor "BORDERCOLOR"
#define sHTML_O_bordercolorlight "BORDERCOLORLIGHT"
#define sHTML_O_bordercolordark "BORDERCOLORDARK"
#define sHTML_O_color "COLOR"
#define sHTML_O_link "LINK"
#define sHTML_O_text "TEXT"
#define sHTML_O_vlink "VLINK"

// Attribute mit einem numerischen Wert
#define sHTML_O_border "BORDER"
#define sHTML_O_cellspacing "CELLSPACING"
#define sHTML_O_cellpadding "CELLPADDING"
#define sHTML_O_charoff "CHAROFF"
#define sHTML_O_colspan "COLSPAN"
#define sHTML_O_framespacing "FRAMESPACING"
#define sHTML_O_gutter "GUTTER"
#define sHTML_O_indent "INDENT"
#define sHTML_O_height "HEIGHT"
#define sHTML_O_hspace "HSPACE"
#define sHTML_O_left "LEFT"
#define sHTML_O_leftmargin "LEFTMARGIN"
#define sHTML_O_loop "LOOP"
#define sHTML_O_marginheight "MARGINHEIGHT"
#define sHTML_O_marginwidth "MARGINWIDTH"
#define sHTML_O_max "MAX"
#define sHTML_O_maxlength "MAXLENGTH"
#define sHTML_O_min "MIN"
#define sHTML_O_pagex "PAGEX"
#define sHTML_O_pagey "PAGEY"
#define sHTML_O_pointsize "POINT-SIZE"
#define sHTML_O_rowspan "ROWSPAN"
#define sHTML_O_scrollamount "SCROLLAMOUNT"
#define sHTML_O_scrolldelay "SCROLLDELAY"
#define sHTML_O_seqnum "SEQNUM"
#define sHTML_O_skip "SKIP"
#define sHTML_O_span "SPAN"
#define sHTML_O_tabindex "TABINDEX"
#define sHTML_O_top "TOP"
#define sHTML_O_topmargin "TOPMARGIN"
#define sHTML_O_vspace "VSPACE"
#define sHTML_O_weight "WEIGHT"
#define sHTML_O_width "WIDTH"
#define sHTML_O_x "X"
#define sHTML_O_y "Y"
#define sHTML_O_zindex "Z-INDEX"

// Attribute mit Enum-Werten
#define sHTML_O_behavior "BEHAVIOR"
#define sHTML_O_bgproperties "BGPROPERTIES"
#define sHTML_O_clear "CLEAR"
#define sHTML_O_dir "DIR"
#define sHTML_O_direction "DIRECTION"
#define sHTML_O_format "FORMAT"
#define sHTML_O_frame "FRAME"
#define sHTML_O_lang "LANG"
#define sHTML_O_method "METHOD"
#define sHTML_O_palette "PALETTE"
#define sHTML_O_rel "REL"
#define sHTML_O_rev "REV"
#define sHTML_O_rules "RULES"
#define sHTML_O_scrolling "SCROLLING"
#define sHTML_O_sdreadonly "READONLY"
#define sHTML_O_subtype "SUBTYPE"
#define sHTML_O_type "TYPE"
#define sHTML_O_valign "VALIGN"
#define sHTML_O_valuetype "VALUETYPE"
#define sHTML_O_visibility "VISIBILITY"
#define sHTML_O_wrap "WRAP"

// Attribute mit Script-Code als Wert
#define sHTML_O_onblur "ONBLUR"
#define sHTML_O_onchange "ONCHANGE"
#define sHTML_O_onclick "ONCLICK"
#define sHTML_O_onfocus "ONFOCUS"
#define sHTML_O_onload "ONLOAD"
#define sHTML_O_onmouseover "ONMOUSEOVER"
#define sHTML_O_onreset "ONRESET"
#define sHTML_O_onselect "ONSELECT"
#define sHTML_O_onsubmit "ONSUBMIT"
#define sHTML_O_onunload "ONUNLOAD"
#define sHTML_O_onabort "ONABORT"
#define sHTML_O_onerror "ONERROR"
#define sHTML_O_onmouseout "ONMOUSEOUT"

#define sHTML_O_SDonblur "SDONBLUR"
#define sHTML_O_SDonchange "SDONCHANGE"
#define sHTML_O_SDonclick "SDONCLICK"
#define sHTML_O_SDonfocus "SDONFOCUS"
#define sHTML_O_SDonload "SDONLOAD"
#define sHTML_O_SDonmouseover "SDONMOUSEOVER"
#define sHTML_O_SDonreset "SDONRESET"
#define sHTML_O_SDonselect "SDONSELECT"
#define sHTML_O_SDonsubmit "SDONSUBMIT"
#define sHTML_O_SDonunload "SDONUNLOAD"
#define sHTML_O_SDonabort "SDONABORT"
#define sHTML_O_SDonerror "SDONERROR"
#define sHTML_O_SDonmouseout "SDONMOUSEOUT"

// Attribute mit Kontext-abhaengigen Werten
#define sHTML_O_align "ALIGN"
#define sHTML_O_cols "COLS"
#define sHTML_O_rows "ROWS"
#define sHTML_O_start "START"
#define sHTML_O_size "SIZE"
#define sHTML_O_units "UNITS"


// Werte von <INPUT TYPE=...>
#define sHTML_IT_text "TEXT"
#define sHTML_IT_password "PASSWORD"
#define sHTML_IT_checkbox "CHECKBOX"
#define sHTML_IT_radio "RADIO"
#define sHTML_IT_range "RANGE"
#define sHTML_IT_scribble "SCRIBBLE"
#define sHTML_IT_file "FILE"
#define sHTML_IT_hidden "HIDDEN"
#define sHTML_IT_submit "SUBMIT"
#define sHTML_IT_image "IMAGE"
#define sHTML_IT_reset "RESET"
#define sHTML_IT_button "BUTTON"

// Werte von <TABLE FRAME=...>
#define sHTML_TF_void "VOID"
#define sHTML_TF_above "ABOVE"
#define sHTML_TF_below "BELOW"
#define sHTML_TF_hsides "HSIDES"
#define sHTML_TF_lhs "LHS"
#define sHTML_TF_rhs "RHS"
#define sHTML_TF_vsides "VSIDES"
#define sHTML_TF_box "BOX"
#define sHTML_TF_border "BORDER"

// Werte von <TABLE RULES=...>
#define sHTML_TR_none "NONE"
#define sHTML_TR_groups "GROUPS"
#define sHTML_TR_rows "ROWS"
#define sHTML_TR_cols "COLS"
#define sHTML_TR_all "ALL"

// Werte von <P, H?, TR, TH, TD ALIGN=...>
#define sHTML_AL_left "LEFT"
#define sHTML_AL_center "CENTER"
#define sHTML_AL_middle "MIDDLE"
#define sHTML_AL_right "RIGHT"
#define sHTML_AL_justify "JUSTIFY"
#define sHTML_AL_char "CHAR"
#define sHTML_AL_all "ALL"
#define sHTML_AL_none "NONE"

// Werte von <TR VALIGN=...>, <IMG ALIGN=...>
#define sHTML_VA_top "TOP"
#define sHTML_VA_middle "MIDDLE"
#define sHTML_VA_bottom "BOTTOM"
#define sHTML_VA_baseline "BASELINE"
#define sHTML_VA_texttop "TEXTTOP"
#define sHTML_VA_absmiddle "ABSMIDDLE"
#define sHTML_VA_absbottom "ABSBOTTOM"

// Werte von <AREA SHAPE=...>
#define sHTML_SH_rect "RECT"
#define sHTML_SH_rectangle "RECTANGLE"
#define sHTML_SH_circ "CIRC"
#define sHTML_SH_circle "CIRCLE"
#define sHTML_SH_poly "POLY"
#define sHTML_SH_polygon "POLYGON"
#define sHTML_SH_default "DEFAULT"

#define sHTML_LG_starbasic "STARBASIC"
#define sHTML_LG_javascript "JAVASCRIPT"
#define sHTML_LG_javascript11 "JAVASCRIPT1.1"
#define sHTML_LG_livescript "LIVESCRIPT"
//#define sHTML_LG_vbscript "VBSCRIPT"
//#define sHTML_LG_unused_javascript "UNUSED JAVASCRIPT"
//#define sHTML_LG_starone "StarScript"

// ein par Werte fuer unser StarBASIC-Support
#define sHTML_SB_library "$LIBRARY:"
#define sHTML_SB_module "$MODULE:"


// Werte von <FORM METHOD=...>
#define sHTML_METHOD_get "GET"
#define sHTML_METHOD_post "POST"

// Werte von <META CONTENT/HTTP-EQUIV=...>
#define sHTML_META_refresh "REFRESH"

#define sHTML_META_generator "GENERATOR"

#define sHTML_META_author "AUTHOR"
#define sHTML_META_classification "CLASSIFICATION"
#define sHTML_META_description "DESCRIPTION"
#define sHTML_META_keywords "KEYWORDS"

#define sHTML_META_changed "CHANGED"
#define sHTML_META_changedby "CHANGEDBY"
#define sHTML_META_created "CREATED"

#define sHTML_META_content_type "CONTENT-TYPE"
#define sHTML_META_content_script_type "CONTENT-SCRIPT-TYPE"

#define sHTML_META_sdendnote "SDENDNOTE"
#define sHTML_META_sdfootnote "SDFOOTNOTE"

// Werte von <UL TYPE=...>
#define sHTML_ULTYPE_disc "DISC"
#define sHTML_ULTYPE_square "SQUARE"
#define sHTML_ULTYPE_circle "CIRCLE"

// Werte von <FRAMESET SCROLLING=...>
#define sHTML_SCROLL_yes "YES"
#define sHTML_SCROLL_no "NO"
#define sHTML_SCROLL_auto "AUTO"

// Werte von <MULTICOL TYPE=...>
#define sHTML_MCTYPE_horizontal "HORIZONTAL"
#define sHTML_MCTYPE_vertical "VERTICAL"
#define sHTML_MCTYPE_box "BOX"

// Werte von <MARQUEE BEHAVIOUR=...>
#define sHTML_BEHAV_scroll "SCROLL"
#define sHTML_BEHAV_slide "SLIDE"
#define sHTML_BEHAV_alternate "ALTERNATE"

// Werte von <MARQUEE LOOP=...>
#define sHTML_LOOP_infinite "INFINITE"

#define sHTML_SPTYPE_block "BLOCK"
#define sHTML_SPTYPE_horizontal "HORIZONTAL"
#define sHTML_SPTYPE_vertical "VERTICAL"


// interne Grafik-Namen
#define sHTML_private_image "private:image/"

#define sHTML_internal_gopher "internal-gopher-"
#define sHTML_internal_icon "internal-icon-"

#define sHTML_INT_GOPHER_binary "binary"
#define sHTML_INT_GOPHER_image "image"
#define sHTML_INT_GOPHER_index "index"
#define sHTML_INT_GOPHER_menu "menu"
#define sHTML_INT_GOPHER_movie "movie"
#define sHTML_INT_GOPHER_sound "sound"
#define sHTML_INT_GOPHER_telnet "telnet"
#define sHTML_INT_GOPHER_text "text"
#define sHTML_INT_GOPHER_unknown "unknown"
#define sHTML_INT_ICON_baddata "baddata"
#define sHTML_INT_ICON_delayed "delayed"
#define sHTML_INT_ICON_embed "embed"
#define sHTML_INT_ICON_insecure "insecure"
#define sHTML_INT_ICON_notfound "notfound"

#define sHTML_sdendnote "sdendnote"
#define sHTML_sdendnote_anc "sdendnoteanc"
#define sHTML_sdendnote_sym "sdendnotesym"
#define sHTML_sdfootnote "sdfootnote"
#define sHTML_sdfootnote_anc "sdfootnoteanc"
#define sHTML_sdfootnote_sym "sdfootnotesym"
#define sHTML_FTN_anchor "anc"
#define sHTML_FTN_symbol "sym"

#define sHTML_WW_off "OFF"
#define sHTML_WW_hard "HARD"
#define sHTML_WW_soft "SOFT"
#define sHTML_WW_virtual "VIRTUAL"
#define sHTML_WW_physical "PHYSICAL"

#define sHTML_on "on"

#define sHTML_ET_url "application/x-www-form-urlencoded"
#define sHTML_ET_multipart "multipart/form-data"
#define sHTML_ET_text "text/plain"


#endif
