/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: rtfkeywd.hxx,v $
 * $Revision: 1.13.134.1 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#ifndef _RTFKEYWD_HXX
#define _RTFKEYWD_HXX

#define sRTF_HEXCHAR "\\'"
#define sRTF_IGNORE "\\*"
#define sRTF_OPTHYPH "\\-"
#define sRTF_SUBENTRY "\\:"
#define sRTF_ABSH "\\absh"
#define sRTF_ABSW "\\absw"
#define sRTF_ALT "\\alt"
#define sRTF_ANNOTATION "\\annotation"
#define sRTF_ANSI "\\ansi"
#define sRTF_ATNID "\\atnid"
#define sRTF_AUTHOR "\\author"
#define sRTF_B "\\b"
#define sRTF_BGBDIAG "\\bgbdiag"
#define sRTF_BGCROSS "\\bgcross"
#define sRTF_BGDCROSS "\\bgdcross"
#define sRTF_BGDKBDIAG "\\bgdkbdiag"
#define sRTF_BGDKCROSS "\\bgdkcross"
#define sRTF_BGDKDCROSS "\\bgdkdcross"
#define sRTF_BGDKFDIAG "\\bgdkfdiag"
#define sRTF_BGDKHORIZ "\\bgdkhoriz"
#define sRTF_BGDKVERT "\\bgdkvert"
#define sRTF_BGFDIAG "\\bgfdiag"
#define sRTF_BGHORIZ "\\bghoriz"
#define sRTF_BGVERT "\\bgvert"
#define sRTF_BIN "\\bin"
#define sRTF_BINFSXN "\\binfsxn"
#define sRTF_BINSXN "\\binsxn"
#define sRTF_BKMKCOLF "\\bkmkcolf"
#define sRTF_BKMKCOLL "\\bkmkcoll"
#define sRTF_BKMKEND "\\bkmkend"
#define sRTF_BKMKSTART "\\bkmkstart"
#define sRTF_BLUE "\\blue"
#define sRTF_BOX "\\box"
#define sRTF_BRDRB "\\brdrb"
#define sRTF_BRDRBAR "\\brdrbar"
#define sRTF_BRDRBTW "\\brdrbtw"
#define sRTF_BRDRCF "\\brdrcf"
#define sRTF_BRDRDB "\\brdrdb"
#define sRTF_BRDRDOT "\\brdrdot"
#define sRTF_BRDRHAIR "\\brdrhair"
#define sRTF_BRDRL "\\brdrl"
#define sRTF_BRDRR "\\brdrr"
#define sRTF_BRDRS "\\brdrs"
#define sRTF_BRDRSH "\\brdrsh"
#define sRTF_BRDRT "\\brdrt"
#define sRTF_BRDRTH "\\brdrth"
#define sRTF_BRDRW "\\brdrw"
#define sRTF_BRSP "\\brsp"
#define sRTF_BULLET "\\bullet"
#define sRTF_BUPTIM "\\buptim"
#define sRTF_BXE "\\bxe"
#define sRTF_CAPS "\\caps"
#define sRTF_CB "\\cb"
#define sRTF_CBPAT "\\cbpat"
#define sRTF_CELL "\\cell"
#define sRTF_CELLX "\\cellx"
#define sRTF_CF "\\cf"
#define sRTF_CFPAT "\\cfpat"
#define sRTF_CHATN "\\chatn"
#define sRTF_CHDATE "\\chdate"
#define sRTF_CHDPA "\\chdpa"
#define sRTF_CHDPL "\\chdpl"
#define sRTF_CHFTN "\\chftn"
#define sRTF_CHFTNSEP "\\chftnsep"
#define sRTF_CHFTNSEPC "\\chftnsepc"
#define sRTF_CHPGN "\\chpgn"
#define sRTF_CHTIME "\\chtime"
#define sRTF_CLBGBDIAG "\\clbgbdiag"
#define sRTF_CLBGCROSS "\\clbgcross"
#define sRTF_CLBGDCROSS "\\clbgdcross"
#define sRTF_CLBGDKBDIAG "\\clbgdkbdiag"
#define sRTF_CLBGDKCROSS "\\clbgdkcross"
#define sRTF_CLBGDKDCROSS "\\clbgdkdcross"
#define sRTF_CLBGDKFDIAG "\\clbgdkfdiag"
#define sRTF_CLBGDKHOR "\\clbgdkhor"
#define sRTF_CLBGDKVERT "\\clbgdkvert"
#define sRTF_CLBGFDIAG "\\clbgfdiag"
#define sRTF_CLBGHORIZ "\\clbghoriz"
#define sRTF_CLBGVERT "\\clbgvert"
#define sRTF_CLBRDRB "\\clbrdrb"
#define sRTF_CLBRDRL "\\clbrdrl"
#define sRTF_CLBRDRR "\\clbrdrr"
#define sRTF_CLBRDRT "\\clbrdrt"
#define sRTF_CLCBPAT "\\clcbpat"
#define sRTF_CLCFPAT "\\clcfpat"
#define sRTF_CLMGF "\\clmgf"
#define sRTF_CLMRG "\\clmrg"
#define sRTF_CLSHDNG "\\clshdng"
#define sRTF_COLNO "\\colno"
#define sRTF_COLORTBL "\\colortbl"
#define sRTF_COLS "\\cols"
#define sRTF_COLSR "\\colsr"
#define sRTF_COLSX "\\colsx"
#define sRTF_COLUMN "\\column"
#define sRTF_COLW "\\colw"
#define sRTF_COMMENT "\\comment"
#define sRTF_CREATIM "\\creatim"
#define sRTF_CTRL "\\ctrl"
#define sRTF_DEFF "\\deff"
#define sRTF_DEFFORMAT "\\defformat"
#define sRTF_DEFLANG "\\deflang"
#define sRTF_DEFTAB "\\deftab"
#define sRTF_DELETED "\\deleted"
#define sRTF_DFRMTXTX "\\dfrmtxtx"
#define sRTF_DFRMTXTY "\\dfrmtxty"
#define sRTF_DIBITMAP "\\dibitmap"
#define sRTF_DN "\\dn"
#define sRTF_DOCCOMM "\\doccomm"
#define sRTF_DOCTEMP "\\doctemp"
#define sRTF_DROPCAPLI "\\dropcapli"
#define sRTF_DROPCAPT "\\dropcapt"
#define sRTF_ABSNOOVRLP "\\absnoovrlp"
#define sRTF_DXFRTEXT "\\dxfrtext"
#define sRTF_DY "\\dy"
#define sRTF_EDMINS "\\edmins"
#define sRTF_EMDASH "\\emdash"
#define sRTF_ENDASH "\\endash"
#define sRTF_ENDDOC "\\enddoc"
#define sRTF_ENDNHERE "\\endnhere"
#define sRTF_ENDNOTES "\\endnotes"
#define sRTF_EXPND "\\expnd"
#define sRTF_EXPNDTW "\\expndtw"
#define sRTF_F "\\f"
#define sRTF_FACINGP "\\facingp"
#define sRTF_FACPGSXN "\\facpgsxn"
#define sRTF_FALT "\\falt"
#define sRTF_FCHARSET "\\fcharset"
#define sRTF_FDECOR "\\fdecor"
#define sRTF_FI "\\fi"
#define sRTF_FIELD "\\field"
#define sRTF_FLDDIRTY "\\flddirty"
#define sRTF_FLDEDIT "\\fldedit"
#define sRTF_FLDINST "\\fldinst"
#define sRTF_FLDLOCK "\\fldlock"
#define sRTF_FLDPRIV "\\fldpriv"
#define sRTF_FLDRSLT "\\fldrslt"
#define sRTF_FMODERN "\\fmodern"
#define sRTF_FN "\\fn"
#define sRTF_FNIL "\\fnil"
#define sRTF_FONTTBL "\\fonttbl"
#define sRTF_FOOTER "\\footer"
#define sRTF_FOOTERF "\\footerf"
#define sRTF_FOOTERL "\\footerl"
#define sRTF_FOOTERR "\\footerr"
#define sRTF_FOOTERY "\\footery"
#define sRTF_FOOTNOTE "\\footnote"
#define sRTF_FPRQ "\\fprq"
#define sRTF_FRACWIDTH "\\fracwidth"
#define sRTF_FROMAN "\\froman"
#define sRTF_FS "\\fs"
#define sRTF_FSCRIPT "\\fscript"
#define sRTF_FSWISS "\\fswiss"
#define sRTF_FTECH "\\ftech"
#define sRTF_FTNBJ "\\ftnbj"
#define sRTF_FTNCN "\\ftncn"
#define sRTF_FTNRESTART "\\ftnrestart"
#define sRTF_FTNSEP "\\ftnsep"
#define sRTF_FTNSEPC "\\ftnsepc"
#define sRTF_FTNSTART "\\ftnstart"
#define sRTF_FTNTJ "\\ftntj"
#define sRTF_GREEN "\\green"
#define sRTF_GUTTER "\\gutter"
#define sRTF_GUTTERSXN "\\guttersxn"
#define sRTF_HEADER "\\header"
#define sRTF_HEADERF "\\headerf"
#define sRTF_HEADERL "\\headerl"
#define sRTF_HEADERR "\\headerr"
#define sRTF_HEADERY "\\headery"
#define sRTF_HR "\\hr"
#define sRTF_HYPHHOTZ "\\hyphhotz"
#define sRTF_I "\\i"
#define sRTF_ID "\\id"
#define sRTF_INFO "\\info"
#define sRTF_INTBL "\\intbl"
#define sRTF_IXE "\\ixe"
#define sRTF_KEEP "\\keep"
#define sRTF_KEEPN "\\keepn"
#define sRTF_KERNING "\\kerning"
#define sRTF_KEYCODE "\\keycode"
#define sRTF_KEYWORDS "\\keywords"
#define sRTF_LANDSCAPE "\\landscape"
#define sRTF_LANG "\\lang"
#define sRTF_LDBLQUOTE "\\ldblquote"
#define sRTF_LEVEL "\\level"
#define sRTF_LI "\\li"
#define sRTF_LIN "\\lin"
#define sRTF_LINE "\\line"
#define sRTF_LINEBETCOL "\\linebetcol"
#define sRTF_LINECONT "\\linecont"
#define sRTF_LINEMOD "\\linemod"
#define sRTF_LINEPPAGE "\\lineppage"
#define sRTF_LINERESTART "\\linerestart"
#define sRTF_LINESTART "\\linestart"
#define sRTF_LINESTARTS "\\linestarts"
#define sRTF_LINEX "\\linex"
#define sRTF_LNDSCPSXN "\\lndscpsxn"
#define sRTF_LQUOTE "\\lquote"
#define sRTF_MAC "\\mac"
#define sRTF_MACPICT "\\macpict"
#define sRTF_MAKEBACKUP "\\makebackup"
#define sRTF_MARGB "\\margb"
#define sRTF_MARGBSXN "\\margbsxn"
#define sRTF_MARGL "\\margl"
#define sRTF_MARGLSXN "\\marglsxn"
#define sRTF_MARGMIRROR "\\margmirror"
#define sRTF_MARGR "\\margr"
#define sRTF_MARGRSXN "\\margrsxn"
#define sRTF_MARGT "\\margt"
#define sRTF_MARGTSXN "\\margtsxn"
#define sRTF_MIN "\\min"
#define sRTF_MO "\\mo"
#define sRTF_NEXTCSET "\\nextcset"
#define sRTF_NEXTFILE "\\nextfile"
#define sRTF_NOFCHARS "\\nofchars"
#define sRTF_NOFPAGES "\\nofpages"
#define sRTF_NOFWORDS "\\nofwords"
#define sRTF_NOLINE "\\noline"
#define sRTF_NOSUPERSUB "\\nosupersub"
#define sRTF_NOWRAP "\\nowrap"
#define sRTF_OPERATOR "\\operator"
#define sRTF_OUTL "\\outl"
#define sRTF_PAGE "\\page"
#define sRTF_PAGEBB "\\pagebb"
#define sRTF_PAPERH "\\paperh"
#define sRTF_PAPERW "\\paperw"
#define sRTF_PAR "\\par"
#define sRTF_PARD "\\pard"
#define sRTF_PC "\\pc"
#define sRTF_PCA "\\pca"
#define sRTF_PGHSXN "\\pghsxn"
#define sRTF_PGNCONT "\\pgncont"
#define sRTF_PGNDEC "\\pgndec"
#define sRTF_PGNLCLTR "\\pgnlcltr"
#define sRTF_PGNLCRM "\\pgnlcrm"
#define sRTF_PGNRESTART "\\pgnrestart"
#define sRTF_PGNSTART "\\pgnstart"
#define sRTF_PGNSTARTS "\\pgnstarts"
#define sRTF_PGNUCLTR "\\pgnucltr"
#define sRTF_PGNUCRM "\\pgnucrm"
#define sRTF_PGNX "\\pgnx"
#define sRTF_PGNY "\\pgny"
#define sRTF_PGWSXN "\\pgwsxn"
#define sRTF_PHCOL "\\phcol"
#define sRTF_PHMRG "\\phmrg"
#define sRTF_PHPG "\\phpg"
#define sRTF_PICCROPB "\\piccropb"
#define sRTF_PICCROPL "\\piccropl"
#define sRTF_PICCROPR "\\piccropr"
#define sRTF_PICCROPT "\\piccropt"
#define sRTF_PICH "\\pich"
#define sRTF_PICHGOAL "\\pichgoal"
#define sRTF_PICSCALED "\\picscaled"
#define sRTF_PICSCALEX "\\picscalex"
#define sRTF_PICSCALEY "\\picscaley"
#define sRTF_PICT "\\pict"
#define sRTF_PICW "\\picw"
#define sRTF_PICWGOAL "\\picwgoal"
#define sRTF_PLAIN "\\plain"
#define sRTF_PMMETAFILE "\\pmmetafile"
#define sRTF_POSNEGX "\\posnegx"
#define sRTF_POSNEGY "\\posnegy"
#define sRTF_POSX "\\posx"
#define sRTF_POSXC "\\posxc"
#define sRTF_POSXI "\\posxi"
#define sRTF_POSXL "\\posxl"
#define sRTF_POSXO "\\posxo"
#define sRTF_POSXR "\\posxr"
#define sRTF_POSY "\\posy"
#define sRTF_POSYB "\\posyb"
#define sRTF_POSYC "\\posyc"
#define sRTF_POSYIL "\\posyil"
#define sRTF_POSYT "\\posyt"
#define sRTF_PRINTIM "\\printim"
#define sRTF_PSOVER "\\psover"
#define sRTF_PVMRG "\\pvmrg"
#define sRTF_PVPARA "\\pvpara"
#define sRTF_PVPG "\\pvpg"
#define sRTF_QC "\\qc"
#define sRTF_QJ "\\qj"
#define sRTF_QL "\\ql"
#define sRTF_QR "\\qr"
#define sRTF_RDBLQUOTE "\\rdblquote"
#define sRTF_RED "\\red"
#define sRTF_REVBAR "\\revbar"
#define sRTF_REVISED "\\revised"
#define sRTF_REVISIONS "\\revisions"
#define sRTF_REVPROP "\\revprop"
#define sRTF_REVTIM "\\revtim"
#define sRTF_RI "\\ri"
#define sRTF_RIN "\\rin"
#define sRTF_ROW "\\row"
#define sRTF_RQUOTE "\\rquote"
#define sRTF_RTF "\\rtf"
#define sRTF_RXE "\\rxe"
#define sRTF_S "\\s"
#define sRTF_SA "\\sa"
#define sRTF_SB "\\sb"
#define sRTF_SBASEDON "\\sbasedon"
#define sRTF_SBKCOL "\\sbkcol"
#define sRTF_SBKEVEN "\\sbkeven"
#define sRTF_SBKNONE "\\sbknone"
#define sRTF_SBKODD "\\sbkodd"
#define sRTF_SBKPAGE "\\sbkpage"
#define sRTF_SBYS "\\sbys"
#define sRTF_SCAPS "\\scaps"
#define sRTF_SECT "\\sect"
#define sRTF_SECTD "\\sectd"
#define sRTF_SHAD "\\shad"
#define sRTF_SHADING "\\shading"
#define sRTF_SHIFT "\\shift"
#define sRTF_SL "\\sl"
#define sRTF_SNEXT "\\snext"
#define sRTF_STRIKE "\\strike"
#define sRTF_STYLESHEET "\\stylesheet"
#define sRTF_SUB "\\sub"
#define sRTF_SUBJECT "\\subject"
#define sRTF_SUPER "\\super"
#define sRTF_TAB "\\tab"
#define sRTF_TB "\\tb"
#define sRTF_TC "\\tc"
#define sRTF_TCF "\\tcf"
#define sRTF_TCL "\\tcl"
#define sRTF_TEMPLATE "\\template"
#define sRTF_TITLE "\\title"
#define sRTF_TITLEPG "\\titlepg"
#define sRTF_TLDOT "\\tldot"
#define sRTF_TLEQ "\\tleq"
#define sRTF_TLHYPH "\\tlhyph"
#define sRTF_TLTH "\\tlth"
#define sRTF_TLUL "\\tlul"
#define sRTF_TQC "\\tqc"
#define sRTF_TQDEC "\\tqdec"
#define sRTF_TQR "\\tqr"
#define sRTF_TQL "\\tql"
#define sRTF_TRGAPH "\\trgaph"
#define sRTF_TRLEFT "\\trleft"
#define sRTF_TROWD "\\trowd"
#define sRTF_TRQC "\\trqc"
#define sRTF_TRQL "\\trql"
#define sRTF_TRQR "\\trqr"
#define sRTF_TRRH "\\trrh"
#define sRTF_TX "\\tx"
#define sRTF_TXE "\\txe"
#define sRTF_UL "\\ul"
#define sRTF_ULD "\\uld"
#define sRTF_ULDB "\\uldb"
#define sRTF_ULNONE "\\ulnone"
#define sRTF_ULW "\\ulw"
#define sRTF_UP "\\up"
#define sRTF_V "\\v"
#define sRTF_VERN "\\vern"
#define sRTF_VERSION "\\version"
#define sRTF_VERTALB "\\vertalb"
#define sRTF_VERTALC "\\vertalc"
#define sRTF_VERTALJ "\\vertalj"
#define sRTF_VERTALT "\\vertalt"
#define sRTF_WBITMAP "\\wbitmap"
#define sRTF_WBMBITSPIXEL "\\wbmbitspixel"
#define sRTF_WBMPLANES "\\wbmplanes"
#define sRTF_WBMWIDTHBYTES "\\wbmwidthbytes"
#define sRTF_WIDOWCTRL "\\widowctrl"
#define sRTF_WMETAFILE "\\wmetafile"
#define sRTF_XE "\\xe"
#define sRTF_YR "\\yr"
#define sRTF_NOBRKHYPH "\\_"
#define sRTF_FORMULA "\\|"
#define sRTF_NOBREAK "\\~"


#define sRTF_AB "\\ab"
#define sRTF_ACAPS "\\acaps"
#define sRTF_ACF "\\acf"
#define sRTF_ADDITIVE "\\additive"
#define sRTF_ADN "\\adn"
#define sRTF_AENDDOC "\\aenddoc"
#define sRTF_AENDNOTES "\\aendnotes"
#define sRTF_AEXPND "\\aexpnd"
#define sRTF_AF "\\af"
#define sRTF_AFS "\\afs"
#define sRTF_AFTNBJ "\\aftnbj"
#define sRTF_AFTNCN "\\aftncn"
#define sRTF_AFTNNALC "\\aftnnalc"
#define sRTF_AFTNNAR "\\aftnnar"
#define sRTF_AFTNNAUC "\\aftnnauc"
#define sRTF_AFTNNCHI "\\aftnnchi"
#define sRTF_AFTNNRLC "\\aftnnrlc"
#define sRTF_AFTNNRUC "\\aftnnruc"
#define sRTF_AFTNRESTART "\\aftnrestart"
#define sRTF_AFTNRSTCONT "\\aftnrstcont"
#define sRTF_AFTNSEP "\\aftnsep"
#define sRTF_AFTNSEPC "\\aftnsepc"
#define sRTF_AFTNSTART "\\aftnstart"
#define sRTF_AFTNTJ "\\aftntj"
#define sRTF_AI "\\ai"
#define sRTF_ALANG "\\alang"
#define sRTF_ALLPROT "\\allprot"
#define sRTF_ANNOTPROT "\\annotprot"
#define sRTF_AOUTL "\\aoutl"
#define sRTF_ASCAPS "\\ascaps"
#define sRTF_ASHAD "\\ashad"
#define sRTF_ASTRIKE "\\astrike"
#define sRTF_ATNAUTHOR "\\atnauthor"
#define sRTF_ATNICN "\\atnicn"
#define sRTF_ATNREF "\\atnref"
#define sRTF_ATNTIME "\\atntime"
#define sRTF_ATRFEND "\\atrfend"
#define sRTF_ATRFSTART "\\atrfstart"
#define sRTF_AUL "\\aul"
#define sRTF_AULD "\\auld"
#define sRTF_AULDB "\\auldb"
#define sRTF_AULNONE "\\aulnone"
#define sRTF_AULW "\\aulw"
#define sRTF_AUP "\\aup"
#define sRTF_BKMKPUB "\\bkmkpub"
#define sRTF_BRDRDASH "\\brdrdash"
#define sRTF_BRKFRM "\\brkfrm"
#define sRTF_CCHS "\\cchs"
#define sRTF_CPG "\\cpg"
#define sRTF_CS "\\cs"
#define sRTF_CVMME "\\cvmme"
#define sRTF_DATAFIELD "\\datafield"
#define sRTF_DO "\\do"
#define sRTF_DOBXCOLUMN "\\dobxcolumn"
#define sRTF_DOBXMARGIN "\\dobxmargin"
#define sRTF_DOBXPAGE "\\dobxpage"
#define sRTF_DOBYMARGIN "\\dobymargin"
#define sRTF_DOBYPAGE "\\dobypage"
#define sRTF_DOBYPARA "\\dobypara"
#define sRTF_DODHGT "\\dodhgt"
#define sRTF_DOLOCK "\\dolock"
#define sRTF_DPAENDHOL "\\dpaendhol"
#define sRTF_DPAENDL "\\dpaendl"
#define sRTF_DPAENDSOL "\\dpaendsol"
#define sRTF_DPAENDW "\\dpaendw"
#define sRTF_DPARC "\\dparc"
#define sRTF_DPARCFLIPX "\\dparcflipx"
#define sRTF_DPARCFLIPY "\\dparcflipy"
#define sRTF_DPASTARTHOL "\\dpastarthol"
#define sRTF_DPASTARTL "\\dpastartl"
#define sRTF_DPASTARTSOL "\\dpastartsol"
#define sRTF_DPASTARTW "\\dpastartw"
#define sRTF_DPCALLOUT "\\dpcallout"
#define sRTF_DPCOA "\\dpcoa"
#define sRTF_DPCOACCENT "\\dpcoaccent"
#define sRTF_DPCOBESTFIT "\\dpcobestfit"
#define sRTF_DPCOBORDER "\\dpcoborder"
#define sRTF_DPCODABS "\\dpcodabs"
#define sRTF_DPCODBOTTOM "\\dpcodbottom"
#define sRTF_DPCODCENTER "\\dpcodcenter"
#define sRTF_DPCODTOP "\\dpcodtop"
#define sRTF_DPCOLENGTH "\\dpcolength"
#define sRTF_DPCOMINUSX "\\dpcominusx"
#define sRTF_DPCOMINUSY "\\dpcominusy"
#define sRTF_DPCOOFFSET "\\dpcooffset"
#define sRTF_DPCOSMARTA "\\dpcosmarta"
#define sRTF_DPCOTDOUBLE "\\dpcotdouble"
#define sRTF_DPCOTRIGHT "\\dpcotright"
#define sRTF_DPCOTSINGLE "\\dpcotsingle"
#define sRTF_DPCOTTRIPLE "\\dpcottriple"
#define sRTF_DPCOUNT "\\dpcount"
#define sRTF_DPELLIPSE "\\dpellipse"
#define sRTF_DPENDGROUP "\\dpendgroup"
#define sRTF_DPFILLBGCB "\\dpfillbgcb"
#define sRTF_DPFILLBGCG "\\dpfillbgcg"
#define sRTF_DPFILLBGCR "\\dpfillbgcr"
#define sRTF_DPFILLBGGRAY "\\dpfillbggray"
#define sRTF_DPFILLBGPAL "\\dpfillbgpal"
#define sRTF_DPFILLFGCB "\\dpfillfgcb"
#define sRTF_DPFILLFGCG "\\dpfillfgcg"
#define sRTF_DPFILLFGCR "\\dpfillfgcr"
#define sRTF_DPFILLFGGRAY "\\dpfillfggray"
#define sRTF_DPFILLFGPAL "\\dpfillfgpal"
#define sRTF_DPFILLPAT "\\dpfillpat"
#define sRTF_DPGROUP "\\dpgroup"
#define sRTF_DPLINE "\\dpline"
#define sRTF_DPLINECOB "\\dplinecob"
#define sRTF_DPLINECOG "\\dplinecog"
#define sRTF_DPLINECOR "\\dplinecor"
#define sRTF_DPLINEDADO "\\dplinedado"
#define sRTF_DPLINEDADODO "\\dplinedadodo"
#define sRTF_DPLINEDASH "\\dplinedash"
#define sRTF_DPLINEDOT "\\dplinedot"
#define sRTF_DPLINEGRAY "\\dplinegray"
#define sRTF_DPLINEHOLLOW "\\dplinehollow"
#define sRTF_DPLINEPAL "\\dplinepal"
#define sRTF_DPLINESOLID "\\dplinesolid"
#define sRTF_DPLINEW "\\dplinew"
#define sRTF_DPPOLYCOUNT "\\dppolycount"
#define sRTF_DPPOLYGON "\\dppolygon"
#define sRTF_DPPOLYLINE "\\dppolyline"
#define sRTF_DPPTX "\\dpptx"
#define sRTF_DPPTY "\\dppty"
#define sRTF_DPRECT "\\dprect"
#define sRTF_DPROUNDR "\\dproundr"
#define sRTF_DPSHADOW "\\dpshadow"
#define sRTF_DPSHADX "\\dpshadx"
#define sRTF_DPSHADY "\\dpshady"
#define sRTF_DPTXBX "\\dptxbx"
#define sRTF_DPTXBXMAR "\\dptxbxmar"
#define sRTF_DPTXBXTEXT "\\dptxbxtext"
#define sRTF_DPX "\\dpx"
#define sRTF_DPXSIZE "\\dpxsize"
#define sRTF_DPY "\\dpy"
#define sRTF_DPYSIZE "\\dpysize"
#define sRTF_DS "\\ds"
#define sRTF_EMSPACE "\\emspace"
#define sRTF_ENSPACE "\\enspace"
#define sRTF_FBIDI "\\fbidi"
#define sRTF_FET "\\fet"
#define sRTF_FID "\\fid"
#define sRTF_FILE "\\file"
#define sRTF_FILETBL "\\filetbl"
#define sRTF_FLDALT "\\fldalt"
#define sRTF_FNETWORK "\\fnetwork"
#define sRTF_FONTEMB "\\fontemb"
#define sRTF_FONTFILE "\\fontfile"
#define sRTF_FORMDISP "\\formdisp"
#define sRTF_FORMPROT "\\formprot"
#define sRTF_FORMSHADE "\\formshade"
#define sRTF_FOSNUM "\\fosnum"
#define sRTF_FRELATIVE "\\frelative"
#define sRTF_FTNALT "\\ftnalt"
#define sRTF_FTNIL "\\ftnil"
#define sRTF_FTNNALC "\\ftnnalc"
#define sRTF_FTNNAR "\\ftnnar"
#define sRTF_FTNNAUC "\\ftnnauc"
#define sRTF_FTNNCHI "\\ftnnchi"
#define sRTF_FTNNRLC "\\ftnnrlc"
#define sRTF_FTNNRUC "\\ftnnruc"
#define sRTF_FTNRSTCONT "\\ftnrstcont"
#define sRTF_FTNRSTPG "\\ftnrstpg"
#define sRTF_FTTRUETYPE "\\fttruetype"
#define sRTF_FVALIDDOS "\\fvaliddos"
#define sRTF_FVALIDHPFS "\\fvalidhpfs"
#define sRTF_FVALIDMAC "\\fvalidmac"
#define sRTF_FVALIDNTFS "\\fvalidntfs"
#define sRTF_HYPHAUTO "\\hyphauto"
#define sRTF_HYPHCAPS "\\hyphcaps"
#define sRTF_HYPHCONSEC "\\hyphconsec"
#define sRTF_HYPHPAR "\\hyphpar"
#define sRTF_LINKSELF "\\linkself"
#define sRTF_LINKSTYLES "\\linkstyles"
#define sRTF_LTRCH "\\ltrch"
#define sRTF_LTRDOC "\\ltrdoc"
#define sRTF_LTRMARK "\\ltrmark"
#define sRTF_LTRPAR "\\ltrpar"
#define sRTF_LTRROW "\\ltrrow"
#define sRTF_LTRSECT "\\ltrsect"
#define sRTF_NOCOLBAL "\\nocolbal"
#define sRTF_NOEXTRASPRL "\\noextrasprl"
#define sRTF_NOTABIND "\\notabind"
#define sRTF_NOWIDCTLPAR "\\nowidctlpar"
#define sRTF_OBJALIAS "\\objalias"
#define sRTF_OBJALIGN "\\objalign"
#define sRTF_OBJAUTLINK "\\objautlink"
#define sRTF_OBJCLASS "\\objclass"
#define sRTF_OBJCROPB "\\objcropb"
#define sRTF_OBJCROPL "\\objcropl"
#define sRTF_OBJCROPR "\\objcropr"
#define sRTF_OBJCROPT "\\objcropt"
#define sRTF_OBJDATA "\\objdata"
#define sRTF_OBJECT "\\object"
#define sRTF_OBJEMB "\\objemb"
#define sRTF_OBJH "\\objh"
#define sRTF_OBJICEMB "\\objicemb"
#define sRTF_OBJLINK "\\objlink"
#define sRTF_OBJLOCK "\\objlock"
#define sRTF_OBJNAME "\\objname"
#define sRTF_OBJPUB "\\objpub"
#define sRTF_OBJSCALEX "\\objscalex"
#define sRTF_OBJSCALEY "\\objscaley"
#define sRTF_OBJSECT "\\objsect"
#define sRTF_OBJSETSIZE "\\objsetsize"
#define sRTF_OBJSUB "\\objsub"
#define sRTF_OBJTIME "\\objtime"
#define sRTF_OBJTRANSY "\\objtransy"
#define sRTF_OBJUPDATE "\\objupdate"
#define sRTF_OBJW "\\objw"
#define sRTF_OTBLRUL "\\otblrul"
#define sRTF_PGNHN "\\pgnhn"
#define sRTF_PGNHNSC "\\pgnhnsc"
#define sRTF_PGNHNSH "\\pgnhnsh"
#define sRTF_PGNHNSM "\\pgnhnsm"
#define sRTF_PGNHNSN "\\pgnhnsn"
#define sRTF_PGNHNSP "\\pgnhnsp"
#define sRTF_PICBMP "\\picbmp"
#define sRTF_PICBPP "\\picbpp"
#define sRTF_PN "\\pn"
#define sRTF_PNACROSS "\\pnacross"
#define sRTF_PNB "\\pnb"
#define sRTF_PNCAPS "\\pncaps"
#define sRTF_PNCARD "\\pncard"
#define sRTF_PNCF "\\pncf"
#define sRTF_PNDEC "\\pndec"
#define sRTF_PNF "\\pnf"
#define sRTF_PNFS "\\pnfs"
#define sRTF_PNHANG "\\pnhang"
#define sRTF_PNI "\\pni"
#define sRTF_PNINDENT "\\pnindent"
#define sRTF_PNLCLTR "\\pnlcltr"
#define sRTF_PNLCRM "\\pnlcrm"
#define sRTF_PNLVL "\\pnlvl"
#define sRTF_PNLVLBLT "\\pnlvlblt"
#define sRTF_PNLVLBODY "\\pnlvlbody"
#define sRTF_PNLVLCONT "\\pnlvlcont"
#define sRTF_PNNUMONCE "\\pnnumonce"
#define sRTF_PNORD "\\pnord"
#define sRTF_PNORDT "\\pnordt"
#define sRTF_PNPREV "\\pnprev"
#define sRTF_PNQC "\\pnqc"
#define sRTF_PNQL "\\pnql"
#define sRTF_PNQR "\\pnqr"
#define sRTF_PNRESTART "\\pnrestart"
#define sRTF_PNSCAPS "\\pnscaps"
#define sRTF_PNSECLVL "\\pnseclvl"
#define sRTF_PNSP "\\pnsp"
#define sRTF_PNSTART "\\pnstart"
#define sRTF_PNSTRIKE "\\pnstrike"
#define sRTF_PNTEXT "\\pntext"
#define sRTF_PNTXTA "\\pntxta"
#define sRTF_PNTXTB "\\pntxtb"
#define sRTF_PNUCLTR "\\pnucltr"
#define sRTF_PNUCRM "\\pnucrm"
#define sRTF_PNUL "\\pnul"
#define sRTF_PNULD "\\pnuld"
#define sRTF_PNULDB "\\pnuldb"
#define sRTF_PNULNONE "\\pnulnone"
#define sRTF_PNULW "\\pnulw"
#define sRTF_PRCOLBL "\\prcolbl"
#define sRTF_PRINTDATA "\\printdata"
#define sRTF_PSZ "\\psz"
#define sRTF_PUBAUTO "\\pubauto"
#define sRTF_RESULT "\\result"
#define sRTF_REVAUTH "\\revauth"
#define sRTF_REVDTTM "\\revdttm"
#define sRTF_REVPROT "\\revprot"
#define sRTF_REVTBL "\\revtbl"
#define sRTF_RSLTBMP "\\rsltbmp"
#define sRTF_RSLTMERGE "\\rsltmerge"
#define sRTF_RSLTPICT "\\rsltpict"
#define sRTF_RSLTRTF "\\rsltrtf"
#define sRTF_RSLTTXT "\\rslttxt"
#define sRTF_RTLCH "\\rtlch"
#define sRTF_RTLDOC "\\rtldoc"
#define sRTF_RTLMARK "\\rtlmark"
#define sRTF_RTLPAR "\\rtlpar"
#define sRTF_RTLROW "\\rtlrow"
#define sRTF_RTLSECT "\\rtlsect"
#define sRTF_SEC "\\sec"
#define sRTF_SECTNUM "\\sectnum"
#define sRTF_SECTUNLOCKED "\\sectunlocked"
#define sRTF_SLMULT "\\slmult"
#define sRTF_SOFTCOL "\\softcol"
#define sRTF_SOFTLHEIGHT "\\softlheight"
#define sRTF_SOFTLINE "\\softline"
#define sRTF_SOFTPAGE "\\softpage"
#define sRTF_SPRSSPBF "\\sprsspbf"
#define sRTF_SPRSTSP "\\sprstsp"
#define sRTF_SUBDOCUMENT "\\subdocument"
#define sRTF_SWPBDR "\\swpbdr"
#define sRTF_TCN "\\tcn"
#define sRTF_TRANSMF "\\transmf"
#define sRTF_TRBRDRB "\\trbrdrb"
#define sRTF_TRBRDRH "\\trbrdrh"
#define sRTF_TRBRDRL "\\trbrdrl"
#define sRTF_TRBRDRR "\\trbrdrr"
#define sRTF_TRBRDRT "\\trbrdrt"
#define sRTF_TRBRDRV "\\trbrdrv"
#define sRTF_TRHDR "\\trhdr"
#define sRTF_TRKEEP "\\trkeep"

#define sRTF_TRPADDB "\\trpaddb"
#define sRTF_TRPADDL "\\trpaddl"
#define sRTF_TRPADDR "\\trpaddr"
#define sRTF_TRPADDT "\\trpaddt"
#define sRTF_TRPADDFB "\\trpaddfb"
#define sRTF_TRPADDFL "\\trpaddfl"
#define sRTF_TRPADDFR "\\trpaddfr"
#define sRTF_TRPADDFT "\\trpaddft"

#define sRTF_WRAPTRSP "\\wraptrsp"
#define sRTF_XEF "\\xef"
#define sRTF_ZWJ "\\zwj"
#define sRTF_ZWNJ "\\zwnj"

// neue Tokens zur 1.5
#define sRTF_ABSLOCK "\\abslock"
#define sRTF_ADJUSTRIGHT "\\adjustright"
#define sRTF_AFTNNCHOSUNG "\\aftnnchosung"
#define sRTF_AFTNNCNUM "\\aftnncnum"
#define sRTF_AFTNNDBAR "\\aftnndbar"
#define sRTF_AFTNNDBNUM "\\aftnndbnum"
#define sRTF_AFTNNDBNUMD "\\aftnndbnumd"
#define sRTF_AFTNNDBNUMK "\\aftnndbnumk"
#define sRTF_AFTNNDBNUMT "\\aftnndbnumt"
#define sRTF_AFTNNGANADA "\\aftnnganada"
#define sRTF_AFTNNGBNUM "\\aftnngbnum"
#define sRTF_AFTNNGBNUMD "\\aftnngbnumd"
#define sRTF_AFTNNGBNUMK "\\aftnngbnumk"
#define sRTF_AFTNNGBNUML "\\aftnngbnuml"
#define sRTF_AFTNNZODIAC "\\aftnnzodiac"
#define sRTF_AFTNNZODIACD "\\aftnnzodiacd"
#define sRTF_AFTNNZODIACL "\\aftnnzodiacl"
#define sRTF_ANIMTEXT "\\animtext"
#define sRTF_ANSICPG "\\ansicpg"
#define sRTF_BACKGROUND "\\background"
#define sRTF_BDBFHDR "\\bdbfhdr"
#define sRTF_BLIPTAG "\\bliptag"
#define sRTF_BLIPUID "\\blipuid"
#define sRTF_BLIPUPI "\\blipupi"
#define sRTF_BRDRART "\\brdrart"
#define sRTF_BRDRDASHD "\\brdrdashd"
#define sRTF_BRDRDASHDD "\\brdrdashdd"
#define sRTF_BRDRDASHDOTSTR "\\brdrdashdotstr"
#define sRTF_BRDRDASHSM "\\brdrdashsm"
#define sRTF_BRDREMBOSS "\\brdremboss"
#define sRTF_BRDRENGRAVE "\\brdrengrave"
#define sRTF_BRDRFRAME "\\brdrframe"
#define sRTF_BRDRTHTNLG "\\brdrthtnlg"
#define sRTF_BRDRTHTNMG "\\brdrthtnmg"
#define sRTF_BRDRTHTNSG "\\brdrthtnsg"
#define sRTF_BRDRTNTHLG "\\brdrtnthlg"
#define sRTF_BRDRTNTHMG "\\brdrtnthmg"
#define sRTF_BRDRTNTHSG "\\brdrtnthsg"
#define sRTF_BRDRTNTHTNLG "\\brdrtnthtnlg"
#define sRTF_BRDRTNTHTNMG "\\brdrtnthtnmg"
#define sRTF_BRDRTNTHTNSG "\\brdrtnthtnsg"
#define sRTF_BRDRTRIPLE "\\brdrtriple"
#define sRTF_BRDRWAVY "\\brdrwavy"
#define sRTF_BRDRWAVYDB "\\brdrwavydb"
#define sRTF_CATEGORY "\\category"
#define sRTF_CGRID "\\cgrid"
#define sRTF_CHARSCALEX "\\charscalex"
#define sRTF_CHBGBDIAG "\\chbgbdiag"
#define sRTF_CHBGCROSS "\\chbgcross"
#define sRTF_CHBGDCROSS "\\chbgdcross"
#define sRTF_CHBGDKBDIAG "\\chbgdkbdiag"
#define sRTF_CHBGDKCROSS "\\chbgdkcross"
#define sRTF_CHBGDKDCROSS "\\chbgdkdcross"
#define sRTF_CHBGDKFDIAG "\\chbgdkfdiag"
#define sRTF_CHBGDKHORIZ "\\chbgdkhoriz"
#define sRTF_CHBGDKVERT "\\chbgdkvert"
#define sRTF_CHBGFDIAG "\\chbgfdiag"
#define sRTF_CHBGHORIZ "\\chbghoriz"
#define sRTF_CHBGVERT "\\chbgvert"
#define sRTF_CHBRDR "\\chbrdr"
#define sRTF_CHCBPAT "\\chcbpat"
#define sRTF_CHCFPAT "\\chcfpat"
#define sRTF_CHSHDNG "\\chshdng"

#define sRTF_CLPADL "\\clpadl"
#define sRTF_CLPADT "\\clpadt"
#define sRTF_CLPADB "\\clpadb"
#define sRTF_CLPADR "\\clpadr"
#define sRTF_CLPADFL "\\clpadfl"
#define sRTF_CLPADFT "\\clpadft"
#define sRTF_CLPADFB "\\clpadfb"
#define sRTF_CLPADFR "\\clpadfr"


#define sRTF_CLTXLRTB "\\cltxlrtb"
#define sRTF_CLTXTBRL "\\cltxtbrl"
#define sRTF_CLVERTALB "\\clvertalb"
#define sRTF_CLVERTALC "\\clvertalc"
#define sRTF_CLVERTALT "\\clvertalt"
#define sRTF_CLVMGF "\\clvmgf"
#define sRTF_CLVMRG "\\clvmrg"
#define sRTF_CLTXTBRLV "\\cltxtbrlv"
#define sRTF_CLTXBTLR "\\cltxbtlr"
#define sRTF_CLTXLRTBV "\\cltxlrtbv"
#define sRTF_COMPANY "\\company"
#define sRTF_CRAUTH "\\crauth"
#define sRTF_CRDATE "\\crdate"
#define sRTF_DATE "\\date"
#define sRTF_DEFLANGFE "\\deflangfe"
#define sRTF_DFRAUTH "\\dfrauth"
#define sRTF_DFRDATE "\\dfrdate"
#define sRTF_DFRSTART "\\dfrstart"
#define sRTF_DFRSTOP "\\dfrstop"
#define sRTF_DFRXST "\\dfrxst"
#define sRTF_DGMARGIN "\\dgmargin"
#define sRTF_DNTBLNSBDB "\\dntblnsbdb"
#define sRTF_DOCTYPE "\\doctype"
#define sRTF_DOCVAR "\\docvar"
#define sRTF_DPCODESCENT "\\dpcodescent"
#define sRTF_EMBO "\\embo"
#define sRTF_EMFBLIP "\\emfblip"
#define sRTF_EXPSHRTN "\\expshrtn"
#define sRTF_FAAUTO "\\faauto"
#define sRTF_FBIAS "\\fbias"
#define sRTF_FFDEFRES "\\ffdefres"
#define sRTF_FFDEFTEXT "\\ffdeftext"
#define sRTF_FFENTRYMCR "\\ffentrymcr"
#define sRTF_FFEXITMCR "\\ffexitmcr"
#define sRTF_FFFORMAT "\\ffformat"
#define sRTF_FFHASLISTBOX "\\ffhaslistbox"
#define sRTF_FFHELPTEXT "\\ffhelptext"
#define sRTF_FFHPS "\\ffhps"
#define sRTF_FFL "\\ffl"
#define sRTF_FFMAXLEN "\\ffmaxlen"
#define sRTF_FFNAME "\\ffname"
#define sRTF_FFOWNHELP "\\ffownhelp"
#define sRTF_FFOWNSTAT "\\ffownstat"
#define sRTF_FFPROT "\\ffprot"
#define sRTF_FFRECALC "\\ffrecalc"
#define sRTF_FFRES "\\ffres"
#define sRTF_FFSIZE "\\ffsize"
#define sRTF_FFSTATTEXT "\\ffstattext"
#define sRTF_FFTYPE "\\fftype"
#define sRTF_FFTYPETXT "\\fftypetxt"
#define sRTF_FLDTYPE "\\fldtype"
#define sRTF_FNAME "\\fname"
#define sRTF_FORMFIELD "\\formfield"
#define sRTF_FROMTEXT "\\fromtext"
#define sRTF_FTNNCHOSUNG "\\ftnnchosung"
#define sRTF_FTNNCNUM "\\ftnncnum"
#define sRTF_FTNNDBAR "\\ftnndbar"
#define sRTF_FTNNDBNUM "\\ftnndbnum"
#define sRTF_FTNNDBNUMD "\\ftnndbnumd"
#define sRTF_FTNNDBNUMK "\\ftnndbnumk"
#define sRTF_FTNNDBNUMT "\\ftnndbnumt"
#define sRTF_FTNNGANADA "\\ftnnganada"
#define sRTF_FTNNGBNUM "\\ftnngbnum"
#define sRTF_FTNNGBNUMD "\\ftnngbnumd"
#define sRTF_FTNNGBNUMK "\\ftnngbnumk"
#define sRTF_FTNNGBNUML "\\ftnngbnuml"
#define sRTF_FTNNZODIAC "\\ftnnzodiac"
#define sRTF_FTNNZODIACD "\\ftnnzodiacd"
#define sRTF_FTNNZODIACL "\\ftnnzodiacl"
#define sRTF_G "\\g"
#define sRTF_GCW "\\gcw"
#define sRTF_GRIDTBL "\\gridtbl"
#define sRTF_HIGHLIGHT "\\highlight"
#define sRTF_HLFR "\\hlfr"
#define sRTF_HLINKBASE "\\hlinkbase"
#define sRTF_HLLOC "\\hlloc"
#define sRTF_HLSRC "\\hlsrc"
#define sRTF_ILVL "\\ilvl"
#define sRTF_IMPR "\\impr"
#define sRTF_JPEGBLIP "\\jpegblip"
#define sRTF_LEVELFOLLOW "\\levelfollow"
#define sRTF_LEVELINDENT "\\levelindent"
#define sRTF_LEVELJC "\\leveljc"
#define sRTF_LEVELLEGAL "\\levellegal"
#define sRTF_LEVELNFC "\\levelnfc"
#define sRTF_LEVELNORESTART "\\levelnorestart"
#define sRTF_LEVELNUMBERS "\\levelnumbers"
#define sRTF_LEVELOLD "\\levelold"
#define sRTF_LEVELPREV "\\levelprev"
#define sRTF_LEVELPREVSPACE "\\levelprevspace"
#define sRTF_LEVELSPACE "\\levelspace"
#define sRTF_LEVELSTARTAT "\\levelstartat"
#define sRTF_LEVELTEXT "\\leveltext"
#define sRTF_LINKVAL "\\linkval"
#define sRTF_LIST "\\list"
#define sRTF_LISTID "\\listid"
#define sRTF_LISTLEVEL "\\listlevel"
#define sRTF_LISTNAME "\\listname"
#define sRTF_LISTOVERRIDE "\\listoverride"
#define sRTF_LISTOVERRIDECOUNT "\\listoverridecount"
#define sRTF_LISTOVERRIDEFORMAT "\\listoverrideformat"
#define sRTF_LISTOVERRIDESTART "\\listoverridestart"
#define sRTF_LISTOVERRIDETABLE "\\listoverridetable"
#define sRTF_LISTRESTARTHDN "\\listrestarthdn"
#define sRTF_LISTSIMPLE "\\listsimple"
#define sRTF_LISTTABLE "\\listtable"
#define sRTF_LISTTEMPLATEID "\\listtemplateid"
#define sRTF_LISTTEXT "\\listtext"
#define sRTF_LS "\\ls"
#define sRTF_LYTEXCTTP "\\lytexcttp"
#define sRTF_LYTPRTMET "\\lytprtmet"
#define sRTF_MANAGER "\\manager"
#define sRTF_MSMCAP "\\msmcap"
#define sRTF_NOFCHARSWS "\\nofcharsws"
#define sRTF_NOLEAD "\\nolead"
#define sRTF_NONSHPPICT "\\nonshppict"
#define sRTF_NOSECTEXPAND "\\nosectexpand"
#define sRTF_NOSNAPLINEGRID "\\nosnaplinegrid"
#define sRTF_NOSPACEFORUL "\\nospaceforul"
#define sRTF_NOULTRLSPC "\\noultrlspc"
#define sRTF_NOXLATTOYEN "\\noxlattoyen"
#define sRTF_OBJATTPH "\\objattph"
#define sRTF_OBJHTML "\\objhtml"
#define sRTF_OBJOCX "\\objocx"
#define sRTF_OLDLINEWRAP "\\oldlinewrap"
#define sRTF_OUTLINELEVEL "\\outlinelevel"
#define sRTF_OVERLAY "\\overlay"
#define sRTF_PANOSE "\\panose"
#define sRTF_PGBRDRB "\\pgbrdrb"
#define sRTF_PGBRDRFOOT "\\pgbrdrfoot"
#define sRTF_PGBRDRHEAD "\\pgbrdrhead"
#define sRTF_PGBRDRL "\\pgbrdrl"
#define sRTF_PGBRDROPT "\\pgbrdropt"
#define sRTF_PGBRDRR "\\pgbrdrr"
#define sRTF_PGBRDRSNAP "\\pgbrdrsnap"
#define sRTF_PGBRDRT "\\pgbrdrt"
#define sRTF_PGNCHOSUNG "\\pgnchosung"
#define sRTF_PGNCNUM "\\pgncnum"
#define sRTF_PGNDBNUMK "\\pgndbnumk"
#define sRTF_PGNDBNUMT "\\pgndbnumt"
#define sRTF_PGNGANADA "\\pgnganada"
#define sRTF_PGNGBNUM "\\pgngbnum"
#define sRTF_PGNGBNUMD "\\pgngbnumd"
#define sRTF_PGNGBNUMK "\\pgngbnumk"
#define sRTF_PGNGBNUML "\\pgngbnuml"
#define sRTF_PGNZODIAC "\\pgnzodiac"
#define sRTF_PGNZODIACD "\\pgnzodiacd"
#define sRTF_PGNZODIACL "\\pgnzodiacl"
#define sRTF_PICPROP "\\picprop"
#define sRTF_PNAIUEO "\\pnaiueo"
#define sRTF_PNAIUEOD "\\pnaiueod"
#define sRTF_PNCHOSUNG "\\pnchosung"
#define sRTF_PNDBNUMD "\\pndbnumd"
#define sRTF_PNDBNUMK "\\pndbnumk"
#define sRTF_PNDBNUML "\\pndbnuml"
#define sRTF_PNDBNUMT "\\pndbnumt"
#define sRTF_PNGANADA "\\pnganada"
#define sRTF_PNGBLIP "\\pngblip"
#define sRTF_PNGBNUM "\\pngbnum"
#define sRTF_PNGBNUMD "\\pngbnumd"
#define sRTF_PNGBNUMK "\\pngbnumk"
#define sRTF_PNGBNUML "\\pngbnuml"
#define sRTF_PNRAUTH "\\pnrauth"
#define sRTF_PNRDATE "\\pnrdate"
#define sRTF_PNRNFC "\\pnrnfc"
#define sRTF_PNRNOT "\\pnrnot"
#define sRTF_PNRPNBR "\\pnrpnbr"
#define sRTF_PNRRGB "\\pnrrgb"
#define sRTF_PNRSTART "\\pnrstart"
#define sRTF_PNRSTOP "\\pnrstop"
#define sRTF_PNRXST "\\pnrxst"
#define sRTF_PNZODIAC "\\pnzodiac"
#define sRTF_PNZODIACD "\\pnzodiacd"
#define sRTF_PNZODIACL "\\pnzodiacl"
#define sRTF_LFOLEVEL "\\lfolevel"
#define sRTF_POSYIN "\\posyin"
#define sRTF_POSYOUT "\\posyout"
#define sRTF_PRIVATE "\\private"
#define sRTF_PROPNAME "\\propname"
#define sRTF_PROPTYPE "\\proptype"
#define sRTF_REVAUTHDEL "\\revauthdel"
#define sRTF_REVDTTMDEL "\\revdttmdel"
#define sRTF_SAUTOUPD "\\sautoupd"
#define sRTF_SECTDEFAULTCL "\\sectdefaultcl"
#define sRTF_SECTEXPAND "\\sectexpand"
#define sRTF_SECTLINEGRID "\\sectlinegrid"
#define sRTF_SECTSPECIFYCL "\\sectspecifycl"
#define sRTF_SECTSPECIFYL "\\sectspecifyl"
#define sRTF_SHIDDEN "\\shidden"
#define sRTF_SHPBOTTOM "\\shpbottom"
#define sRTF_SHPBXCOLUMN "\\shpbxcolumn"
#define sRTF_SHPBXMARGIN "\\shpbxmargin"
#define sRTF_SHPBXPAGE "\\shpbxpage"
#define sRTF_SHPBYMARGIN "\\shpbymargin"
#define sRTF_SHPBYPAGE "\\shpbypage"
#define sRTF_SHPBYPARA "\\shpbypara"
#define sRTF_SHPFBLWTXT "\\shpfblwtxt"
#define sRTF_SHPFHDR "\\shpfhdr"
#define sRTF_SHPGRP "\\shpgrp"
#define sRTF_SHPLEFT "\\shpleft"
#define sRTF_SHPLID "\\shplid"
#define sRTF_SHPLOCKANCHOR "\\shplockanchor"
#define sRTF_SHPPICT "\\shppict"
#define sRTF_SHPRIGHT "\\shpright"
#define sRTF_SHPRSLT "\\shprslt"
#define sRTF_SHPTOP "\\shptop"
#define sRTF_SHPTXT "\\shptxt"
#define sRTF_SHPWRK "\\shpwrk"
#define sRTF_SHPWR "\\shpwr"
#define sRTF_SHPZ "\\shpz"
#define sRTF_SPRSBSP "\\sprsbsp"
#define sRTF_SPRSLNSP "\\sprslnsp"
#define sRTF_SPRSTSM "\\sprstsm"
#define sRTF_STATICVAL "\\staticval"
#define sRTF_STEXTFLOW "\\stextflow"
#define sRTF_STRIKED "\\striked"
#define sRTF_SUBFONTBYSIZE "\\subfontbysize"
#define sRTF_TCELLD "\\tcelld"
#define sRTF_TIME "\\time"
#define sRTF_TRUNCATEFONTHEIGHT "\\truncatefontheight"
#define sRTF_UC "\\uc"
#define sRTF_UD "\\ud"
#define sRTF_ULDASH "\\uldash"
#define sRTF_ULDASHD "\\uldashd"
#define sRTF_ULDASHDD "\\uldashdd"
#define sRTF_ULTH "\\ulth"
#define sRTF_ULWAVE "\\ulwave"
#define sRTF_ULC "\\ulc"
#define sRTF_U "\\u"
#define sRTF_UPR "\\upr"
#define sRTF_USERPROPS "\\userprops"
#define sRTF_VIEWKIND "\\viewkind"
#define sRTF_VIEWSCALE "\\viewscale"
#define sRTF_VIEWZK "\\viewzk"
#define sRTF_WIDCTLPAR "\\widctlpar"
#define sRTF_WINDOWCAPTION "\\windowcaption"
#define sRTF_WPEQN "\\wpeqn"
#define sRTF_WPJST "\\wpjst"
#define sRTF_WPSP "\\wpsp"
#define sRTF_YXE "\\yxe"
#define sRTF_FRMTXLRTB "\\frmtxlrtb"
#define sRTF_FRMTXTBRL "\\frmtxtbrl"
#define sRTF_FRMTXBTLR "\\frmtxbtlr"
#define sRTF_FRMTXLRTBV "\\frmtxlrtbv"
#define sRTF_FRMTXTBRLV "\\frmtxtbrlv"


// MS-2000 Tokens
#define sRTF_ULTHD "\\ulthd"
#define sRTF_ULTHDASH "\\ulthdash"
#define sRTF_ULLDASH "\\ulldash"
#define sRTF_ULTHLDASH "\\ulthldash"
#define sRTF_ULTHDASHD "\\ulthdashd"
#define sRTF_ULTHDASHDD "\\ulthdashdd"
#define sRTF_ULHWAVE "\\ulhwave"
#define sRTF_ULULDBWAVE "\\ululdbwave"

#define sRTF_LOCH "\\loch"
#define sRTF_HICH "\\hich"
#define sRTF_DBCH "\\dbch"
#define sRTF_LANGFE "\\langfe"
#define sRTF_ADEFLANG "\\adeflang"
#define sRTF_ADEFF "\\adeff"
#define sRTF_ACCNONE "\\accnone"
#define sRTF_ACCDOT "\\accdot"
#define sRTF_ACCCOMMA "\\acccomma"
#define sRTF_TWOINONE "\\twoinone"
#define sRTF_HORZVERT "\\horzvert"
#define sRTF_FAHANG "\\fahang"
#define sRTF_FAVAR "\\favar"
#define sRTF_FACENTER "\\facenter"
#define sRTF_FAROMAN "\\faroman"
#define sRTF_FAFIXED "\\fafixed"
#define sRTF_NOCWRAP "\\nocwrap"
#define sRTF_NOOVERFLOW "\\nooverflow"
#define sRTF_ASPALPHA "\\aspalpha"

// SWG spezifische Attribute
#define sRTF_GRFALIGNV "\\grfalignv"
#define sRTF_GRFALIGNH "\\grfalignh"
#define sRTF_GRFMIRROR "\\grfmirror"
#define sRTF_HEADERYB "\\headeryb"
#define sRTF_HEADERXL "\\headerxl"
#define sRTF_HEADERXR "\\headerxr"
#define sRTF_FOOTERYT "\\footeryt"
#define sRTF_FOOTERXL "\\footerxl"
#define sRTF_FOOTERXR "\\footerxr"
#define sRTF_HEADERYH "\\headeryh"
#define sRTF_FOOTERYH "\\footeryh"
#define sRTF_BALANCEDCOLUMN "\\swcolmnblnc"
#define sRTF_UPDNPROP "\\updnprop"
#define sRTF_PRTDATA "\\prtdata"
#define sRTF_BKMKKEY "\\bkmkkey"

// Attribute fuer die freifliegenden Rahmen
#define sRTF_FLYPRINT "\\flyprint"
#define sRTF_FLYOPAQUE "\\flyopaque"
#define sRTF_FLYPRTCTD "\\flyprtctd"
#define sRTF_FLYMAINCNT "\\flymaincnt"
#define sRTF_FLYVERT "\\flyvert"
#define sRTF_FLYHORZ "\\flyhorz"
#define sRTF_DFRMTXTL "\\dfrmtxtl"
#define sRTF_DFRMTXTR "\\dfrmtxtr"
#define sRTF_DFRMTXTU "\\dfrmtxtu"
#define sRTF_DFRMTXTW "\\dfrmtxtw"
#define sRTF_FLYANCHOR "\\flyanchor"
#define sRTF_FLYCNTNT "\\flycntnt"
#define sRTF_FLYCOLUMN "\\flycolumn"
#define sRTF_FLYPAGE "\\flypage"
#define sRTF_FLYINPARA "\\flyinpara"

#define sRTF_BRDBOX "\\brdbox"
#define sRTF_BRDLNCOL "\\brdlncol"
#define sRTF_BRDLNIN "\\brdlnin"
#define sRTF_BRDLNOUT "\\brdlnout"
#define sRTF_BRDLNDIST "\\brdlndist"

#define sRTF_SHADOW "\\shadow"
#define sRTF_SHDWDIST "\\shdwdist"
#define sRTF_SHDWSTYLE "\\shdwstyle"
#define sRTF_SHDWCOL "\\shdwcol"
#define sRTF_SHDWFCOL "\\shdwfcol"


#define sRTF_PGDSCTBL "\\pgdsctbl"
#define sRTF_PGDSC "\\pgdsc"
#define sRTF_PGDSCUSE "\\pgdscuse"
#define sRTF_PGDSCNXT "\\pgdscnxt"

#define sRTF_HYPHEN "\\hyphen"
#define sRTF_HYPHLEAD "\\hyphlead"
#define sRTF_HYPHTRAIL "\\hyphtrail"
#define sRTF_HYPHMAX "\\hyphmax"

#define sRTF_TLSWG "\\tlswg"
#define sRTF_PGBRK "\\pgbrk"
#define sRTF_PGDSCNO "\\pgdscno"
#define sRTF_SOUTLVL "\\soutlvl"

#define sRTF_SHP "\\shp"
#define sRTF_SN "\\sn"
#define sRTF_SV "\\sv"
/*
#define sRTF_SHPLEFT "\\shpleft"
#define sRTF_SHPTOP "\\shptop"
#define sRTF_SHPBOTTOM "\\shpbottom"
#define sRTF_SHPRIGHT "\\shpright"
*/

// Support for overline attributes
#define sRTF_OL "\\ol" 
#define sRTF_OLD "\\old" 
#define sRTF_OLDB "\\oldb" 
#define sRTF_OLNONE "\\olnone" 
#define sRTF_OLW "\\olw" 
#define sRTF_OLDASH "\\oldash" 
#define sRTF_OLDASHD "\\oldashd" 
#define sRTF_OLDASHDD "\\oldashdd" 
#define sRTF_OLTH "\\olth" 
#define sRTF_OLWAVE "\\olwave" 
#define sRTF_OLC "\\olc" 
#define sRTF_OLTHD "\\olthd" 
#define sRTF_OLTHDASH "\\olthdash" 
#define sRTF_OLLDASH "\\olldash" 
#define sRTF_OLTHLDASH "\\olthldash" 
#define sRTF_OLTHDASHD "\\olthdashd" 
#define sRTF_OLTHDASHDD "\\olthdashdd" 
#define sRTF_OLHWAVE "\\olhwave" 
#define sRTF_OLOLDBWAVE "\\ololdbwave" 

#endif // _RTFKEYWD_HXX
